Bug 611598 - webhelpers bundles some libraries
Summary: webhelpers bundles some libraries
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-webhelpers (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Kyle VanderBeek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks: 613171
TreeView+ depends on / blocked
 
Reported: 2010-07-05 21:10 UTC by Toshio Ernie Kuratomi
Modified: 2012-08-17 05:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 613171 (view as bug list)
Environment:
Last Closed: 2012-08-16 22:03:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec patch to unbundle markdown/textile and cleanup for new python guidelines (2.77 KB, application/octet-stream)
2010-07-05 21:10 UTC, Toshio Ernie Kuratomi
no flags Details
Patch to unbundle and update markdown nad textile (385.63 KB, patch)
2010-07-05 21:12 UTC, Toshio Ernie Kuratomi
no flags Details | Diff

Description Toshio Ernie Kuratomi 2010-07-05 21:10:51 UTC
Created attachment 429611 [details]
Spec patch to unbundle markdown/textile and cleanup for new python guidelines

Description of problem:

I've found the following code in webhelpers that appears to have been bundled from another upstream source.

* An old version of python-markdown seems to be bundled -- will need porting to work with a system library.
* An old version of python-textile is bundled -- will need porting work to work with a system library.

* feedgenerator originates in Django but has been modified.
* webhelpers/html/render.py is from ZPTKit but has been modified 

Version-Release number of selected component (if applicable):
python-webhelpers-1.0


Additional info:

I haven't explored the modifications to feedgenerator and render.py yet.  If they've been heavily modified, they could get an exception from FESCo (although, depending on the modifications, it might be a case of needing to send the modifications to the django/ZPTKit upstreams to be merged instead).

I'll attach a source code and spec file patch for python-markdown and python-textile.

Comment 1 Toshio Ernie Kuratomi 2010-07-05 21:12:17 UTC
Created attachment 429612 [details]
Patch to unbundle and update markdown nad textile

This patch updates the included markdown and textile to current versions and adds code so that system versions of the libraries are used in preference to the bundled versions.

Comment 2 Bug Zapper 2010-07-30 12:27:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Kyle VanderBeek 2010-08-03 07:50:34 UTC
That's a pretty major reworking of things.  I'm going to work with upstream to get it fixed/removed and possibly just add the dependency rather than having the fall-back to an included version.

Comment 4 Toshio Ernie Kuratomi 2010-08-03 08:16:03 UTC
<nod>  The patch is meant to give upstream a way to keep bundling but allow us to use the system libraries should they say need to include markdown and textile.  By all means see if upstream is amenable to unbundling altogether, that's certainly preferable :-)

Note, that even with the patch we'd want to add an explicit Requires: on python-markdown and python-textile.  That way we're never using the bundled code.  If we don't include the explicit Requires then we'd still have to track and update the bundled code in this package for bugs and security vulnerabilities in markdown and textile.

Comment 5 Fedora End Of Life 2012-08-16 22:04:06 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Toshio Kuratomi 2012-08-17 05:22:51 UTC
Checked still an issue.


Note You need to log in before you can comment on or make changes to this bug.